# frozen_string_literal: true

require 'json'

module SoccersApi
  class Continent
    class << self
      require 'rest-client'
      CONTINENT = 'continents'.freeze

      def all
        SoccersApi.api_url(
          api_for: CONTINENT,
          type: "list"
        )
      end

      def by_id(id)
        SoccersApi.api_url(
          api_for: CONTINENT,
          type: "info",
          id_type: 'id',
          id: id
        )
      end
    end
  end
end
