# frozen_string_literal: true

require 'json'

module SoccersApi
  class Country
    class << self
      require 'rest-client'
      COUNTRY = 'countries'.freeze

      def all
        countries = {}
        (2).times do |no|
          countries << SoccersApi.api_url(api_for: COUNTRY, type: "list")
        end
        countries
      end

      def by_id(id)
        SoccersApi.api_url(
          api_for: COUNTRY,
          type: "info",
          id_type: 'id',
          id: id
        )
      end
    end
  end
end
