module SoccersApi
  class Stats
    class << self
      require 'rest-client'
      STATS = 'stats'.freeze

      def by_match(match_id)
        SoccersApi.api_url(
          api_for: STATS,
          type: "match",
          id_type: 'match_id',
          id: match_id
        )
      end

      def by_league(league_id)
        SoccersApi.api_url(
          api_for: STATS,
          type: "league",
          id_type: 'league_id',
          id: league_id
        )
      end

      def by_season(season_id)
        SoccersApi.api_url(
          api_for: STATS,
          type: "season",
          id_type: 'season_id',
          id: season_id
        )
      end

      def by_team(team_id)
        SoccersApi.api_url(
          api_for: STATS,
          type: "team",
          id_type: 'team_id',
          id: team_id
        )
      end

      def by_player(player_id)
        SoccersApi.api_url(
          api_for: STATS,
          type: "player",
          id_type: 'player_id',
          id: player_id
        )
      end
    end
  end
end
