module SoccersApi
  class League
    class << self
      require 'rest-client'
      TEAM = 'teams'.freeze

      def by_id(id)
        SoccersApi.api_url(
          api_for: TEAM,
          type: "info",
          id_type: 'id',
          id: id
        )
      end

      def by_country(country_id)
        SoccersApi.api_url(
          api_for: TEAM,
          type: "list",
          id_type: 'country_id',
          id: country_id
        )
      end

      def by_season(season_id)
        SoccersApi.api_url(
          api_for: TEAM,
          type: "byseason",
          id_type: 'season_id',
          id: season_id
        )
      end

      # todo: create remaining methods
    end
  end
end
